Package org.h2gis.functions.spatial.convert

## Class ST_OSMMapLink

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_OSMMapLink

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_OSMMapLink
    extends org.h2gis.api.DeterministicScalarFunction

This class is used to generate an OSM map link URL from a geometry.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_OSMMapLink()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `generateLink​(org.locationtech.jts.geom.Geometry geom)` Create the OSM map link based on the bounding box of the geometry.
`static String` `generateLink​(org.locationtech.jts.geom.Geometry geom, boolean withMarker)` Create the OSM map link based on the bounding box of the geometry.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_OSMMapLink

    public ST_OSMMapLink()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### generateLink

    public static String generateLink​(org.locationtech.jts.geom.Geometry geom)

Create the OSM map link based on the bounding box of the geometry.

Parameters:
  `geom` - the input geometry.
Returns:

#### generateLink

    public static String generateLink​(org.locationtech.jts.geom.Geometry geom,
                                      boolean withMarker)

Create the OSM map link based on the bounding box of the geometry.

Parameters:
  `geom` - the input geometry.
  `withMarker` - true to place a marker on the center of the BBox.
Returns: